# Generated by go2rpm
%bcond_without check

# https://github.com/bugsnag/bugsnag-go
%global goipath         github.com/bugsnag/bugsnag-go
Version:                1.5.1

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-github-bugsnag-devel < 1.0.4-14
}

%global common_description %{expand:
Automatically detect crashes and report errors in your Go apps. Get alerts about
errors and panics in real-time, including detailed error reports with diagnostic
information. Understand and resolve issues as fast as possible.}

%global golicenses      LICENSE.txt
%global godocs          examples CHANGELOG.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Automatic panic monitoring for Go and Go web frameworks

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Unnecessary in Go 1.8+
# https://github.com/bugsnag/bugsnag-go/issues/66
Patch0001:      0001-Remove-kardianos-osext.patch

BuildRequires:  golang(github.com/bitly/go-simplejson)
BuildRequires:  golang(github.com/bugsnag/panicwrap)
BuildRequires:  golang(github.com/gin-gonic/gin)
BuildRequires:  golang(github.com/go-martini/martini)
BuildRequires:  golang(github.com/gofrs/uuid)
BuildRequires:  golang(github.com/revel/revel)
BuildRequires:  golang(github.com/revel/revel/testing)
BuildRequires:  golang(github.com/urfave/negroni)

%if %{with check}
# Tests
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0001 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d errors
%endif

%gopkgfiles

%changelog
* Sat Jul 13 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.1-3
- Patch out usage of deprecated github.com/kardianos/osext

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.1-2
- Add Obsoletes for old name

* Wed May 01 18:01:38 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1-1
- Release 1.5.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-13.git13fd6b8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.0.4-12.git13fd6b8
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.0.4-10
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 17 2016 Jan Chaloupka <jchaloup@redhat.com> - 1.0.4-5
- Polish the spec file
  resolves: #1405699

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 08 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git13fd6b8
- First package for Fedora
  resolves: #1270032
